Name:           perl-MARC-Charset
Version:        1.33
Release:        1%{?dist}
Summary:        Converts data encoded in MARC-8 to Unicode (UTF-8)

Group:          Development/Libraries
License:        GPL+ or Artistic
URL:            http://search.cpan.org/dist/MARC-Charset/
Source0:        http://search.cpan.org/CPAN/authors/id/G/GM/GMCHARLT/MARC-Charset-%{version}.tar.gz

BuildRequires:  perl(base)
BuildRequires:  perl(Carp)
BuildRequires:  perl(charnames)
BuildRequires:  perl(Class::Accessor)
BuildRequires:  perl(constant)
BuildRequires:  perl(Encode)
BuildRequires:  perl(Exporter)
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(GDBM_File)
BuildRequires:  perl(POSIX)
BuildRequires:  perl(Storable)
BuildRequires:  perl(strict)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(Unicode::Normalize)
BuildRequires:  perl(Unicode::UCD)
BuildRequires:  perl(warnings)
BuildRequires:  perl(XML::SAX)

Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

# "Table" gdbm file is not portable, but also not debuggable;
# disable debug package accordingly
%global debug_package %{nil}

%description
MARC::Charset supports the conversion of data from the legacy MARC-8
encoding to the Unicode UTF-8 encoding.

%prep
%setup -q -n MARC-Charset-%{version}


%build
%{__perl} Makefile.PL INSTALLDIRS=vendor INSTALLVENDORLIB=%{perl_vendorarch}
make %{?_smp_mflags}


%install
make pure_install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'


%check
make test


%files
%doc Changes README
%{perl_vendorarch}/MARC/
%{_mandir}/man3/*.3pm*


%changelog
* Wed Jun 13 2012 Dan Scott <dan@coffeecode.net> - 1.33-1
- First build
- Incorporate spec file review from Iain Arnell
